/* @(#) $Id: webindex.h 287 2017-01-21 19:15:36Z leres $ (XSE) */
#ifndef webindex_h
#define webindex_h

#ifndef HAVE_STRLCAT
#include "strlcat.h"
#endif

#ifndef HAVE_STRLCPY
#include "strlcpy.h"
#endif

/* webfile types */
#define T_AVI		1
#define T_BMP		2
#define T_DIR		3
#define T_FILE		4
#define T_FLASH		5
#define T_MP3		6
#define T_GIF		7
#define T_HTML		8
#define T_JPEG		9
#define T_PARENT	10
#define T_PBM		11
#define T_PDF		12
#define T_PNG		13
#define T_QT		14
#define T_REAL		15
#define T_TIFF		16
#define T_XBM		17
#define T_XWD		18

/* Compare two timespec values */
#define tscmp(p1, p2, cmp) \
    (((p1)->tv_sec == (p2)->tv_sec) ? \
    ((p1)->tv_nsec cmp (p2)->tv_nsec) : \
    ((p1)->tv_sec cmp (p2)->tv_sec))

/* Get newer of modified and inode times */
#define stattim(p) \
    (tscmp(&(p)->st_mtim, &(p)->st_ctim, >) ? (p)->st_mtim : (p)->st_ctim)

extern const char *prog;
extern int debug;
extern int recurse;
extern int verbose;
extern int errors;
extern const char configfn[];
extern char prefix[];
extern const char version[];

const char *naildir(struct cf *);
int popd(char *, int);
int pushd(const char *, char **, int *);
#endif
